// @ts-check
import { defineConfig } from 'astro/config';
import node from '@astrojs/node';
// https://astro.build/config
export default defineConfig({
    output: 'server',
    adapter: node({
        mode: 'standalone',
    }),
    build: {
        format: 'file',
    },
    server: {
        port:4322,
        host: '0.0.0.0',
    },
    redirects: {
        '/index': {
          status: 301,  // 永久重定向
          destination: '/',
        },
        '/index.html': {
          status: 301,  // 永久重定向
          destination: '/',
        },
      },
});
